Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.repository
Class PluginActions

    java.lang.Object
      ru.biosoft.access.repository.PluginActions

All Implemented Interfaces:
  ActionsProvider

public class PluginActions
extends java.lang.Object
implements ActionsProvider

This class is used to allow any plugin provide provide context speific actions for repository pop up menu. For this purpose it loads all extensions for `ru.biosoft.repository.actionsPorivider` extension point and returns union of all possible actions for the given repository item (or bean).

Field Summary
`protected static org.apache.log4j.Category` | `cat`
`protected java.util.List` | `extensions`

Constructor Summary
`PluginActions()`
`PluginActions(java.lang.String extentionPointId)`

Method Summary
`javax.swing.Action[]` | `getActions(java.lang.Object bean)`
`static java.util.List` | `loadExtensions(java.lang.String extensionPointId)` Load all executable extensions for the specified extension point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cat

    protected static org.apache.log4j.Category cat

### extensions

    protected java.util.List extensions

Constructor Detail

### PluginActions

    public PluginActions()

### PluginActions

    public PluginActions(java.lang.String extentionPointId)

Method Detail

### getActions

    public javax.swing.Action[] getActions(java.lang.Object bean)

  Specified by:
    `getActions` in interface `ActionsProvider`

### loadExtensions

    public static java.util.List loadExtensions(java.lang.String extensionPointId)

  Load all executable extensions for the specified extension point.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.